Update Container group

Update Container group

PATCH https://api.ocamba.com/v1/hood/groups/{id}
Updates the specific Container group by setting the values of the parameters passed. Any parameters not provided will be left unchanged

Note
At least one of the updatable fields should be sent via HTTP body in order to change the current state of the group. The color field is optional. If not provided, the existing color will be preserved. If provided, it must be one of the 10 predefined colors from the palette. If explicitly set to null, the resource will be saved in the ‘#ffffff00’ state (visually represented as transparent).
Tip
If you don’t know the group id, list the groups to find it.

Rate limits:

  • Burst: 10/s
  • Steady: 150/m

Path parameters

parameters

Request schema

body

Response schemas

204
No Content
curl -X PATCH \
 "https://api.ocamba.com/v1/hood/groups/{id}" \
  -H "Authorization: Bearer {TOKEN}" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "first",
  "color": "#424852",
  "description": "My first Group"
}'
const url = 'https://api.ocamba.com/v1/hood/groups/{id}';
const options = {
  method: 'PATCH',
  headers: {
    Authorization: "Bearer {TOKEN}",
    'Content-Type': "application/json"
  },
  body: JSON.stringify(
    {
      "name": "first",
      "color": "#424852",
      "description": "My first Group"
    }
  )
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
$ch = curl_init("https://api.ocamba.com/v1/hood/groups/{id}");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
  "Authorization: Bearer {TOKEN}",
  "Content-Type: application/json"
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(
  [
    "name" => "first",
    "color" => "#424852",
    "description" => "My first Group"
  ]
));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);

Responses

204 No Content

400 Bad Request

{
  "code": 400,
  "title": "Bad request.",
  "message": "The request is not valid.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}

500 Internal Server Error

{
  "code": 500,
  "title": "Internal server error.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses